#if defined(__AVR__)
    #include <avr/pgmspace.h> 
#elif defined(__PIC32MX__)
    #define PROGMEM
#elif defined(__arm__)
    #define PROGMEM
#endif
#pragma once

/***************************************************************************/
/**** ROTARY Defintion *****************************************************/
/***************************************************************************/
// #define LED_CONTROLLER_PIN 5
// #define ROTARY_ENCODER_A_PIN 2
// #define ROTARY_ENCODER_B_PIN 3
// #define ROTARY_ENCODER_BUTTON_PIN 4

// /***************************************************************************/
// /**** BUTTONS Defintion ****************************************************/
// /***************************************************************************/
// #define CONT_BUT_0 PIN_A0
// #define CONT_BUT_1 PIN_A1

// /***************************************************************************/
// /**** SDCARD Defintion *****************************************************/
// /***************************************************************************/
// #define USE_SD_CARD
// #define SD_CS   9  // Chip select control pin

/***************************************************************************/
/**** TFT Defintion ********************************************************/
/***************************************************************************/
// #define SIKTFT_MISO  12
// #define SIKTFT_MOSI  11
// #define SIKTFT_SCLK  13
// #define SIKTFT_CS    10  // Chip select control pin
// #define SIKTFT_DC    8  // Data Command control pin
// #define SIKTFT_RST   PIN_A2  // Reset pin (could connect to RST pin)
// #define TFT_RST PIN_A2
// #define TFT_CS SIKTFT_CS
// #define TFT_DC SIKTFT_DC
// #define SIKTFT_WIDTH  160
// #define SIKTFT_HEIGHT 128

/***************************************************************************/
/**** Screen Names *********************************************************/
/***************************************************************************/
// enum TftScreens { Main };

/***************************************************************************/
/**** Example Blink - Related **********************************************/
/***************************************************************************/
// #define STARTING_INTERVAL 500
// enum IntervalLimits { MAX = 1200, MIN = 20, STEP = 10 };

/***************************************************************************/
/**** Example Image Reader Related *****************************************/
/***************************************************************************/

/***************************************************************************/
/**** Graphics to be used **************************************************/
/***************************************************************************/
#define bitmap_logo_BMPWIDTH  20
#define bitmap_logo_BMPHEIGHT 33

//const unsigned char bitmap_logo[] PROGMEM = {
const uint8_t bitmap_logo[] PROGMEM = {
  0B00000001,0B11000000,0B00000000, // .......###..............
  0B00000011,0B11000000,0B00000000, // ......####..............
  0B00000011,0B11100000,0B00000000, // ......#####.............
  0B00000011,0B11000000,0B00000000, // ......####..............
  0B00000001,0B11000000,0B00000000, // .......###..............
  0B11110001,0B11000000,0B00000000, // ####...###..............
  0B11110001,0B11100000,0B00000000, // ####...####.............
  0B11111001,0B11100000,0B00000000, // #####..####.............
  0B11111100,0B11110000,0B00000000, // ######..####............
  0B00111110,0B01111000,0B00000000, // ..#####..####...........
  0B00011110,0B00111100,0B00000000, // ...####...####..........
  0B00001111,0B00111110,0B00000000, // ....####..#####.........
  0B00000111,0B10011111,0B00000000, // .....####..#####........
  0B01100111,0B11001111,0B00000000, // .##..#####..####........
  0B11110011,0B11000111,0B10000000, // ####..####...####.......
  0B11110001,0B11000011,0B11000000, // ####...###....####......
  0B11110001,0B11000011,0B11100000, // ####...###....#####.....
  0B11110011,0B11000011,0B11000000, // ####..####....####......
  0B11110011,0B11100111,0B10000000, // ####..#####..####.......
  0B11110011,0B11001111,0B00000000, // ####..####..####........
  0B11111001,0B10011110,0B00000000, // #####..##..####.........
  0B01111100,0B00111110,0B00000000, // .#####....#####.........
  0B00111110,0B01111100,0B00000000, // ..#####..#####..........
  0B00011111,0B11111000,0B00000000, // ...##########...........
  0B00001111,0B11110000,0B00000000, // ....########............
  0B00000111,0B11100000,0B00000000, // .....######.............
  0B00000011,0B11000000,0B00000000, // ......####..............
  0B00000001,0B11000000,0B00000000, // .......###..............
  0B00000001,0B11000000,0B00000000, // .......###..............
  0B00000011,0B11000000,0B00000000, // ......####..............
  0B00000011,0B11100000,0B00000000, // ......#####.............
  0B00000011,0B11000000,0B00000000, // ......####..............
  0B00000001,0B11000000,0B00000000 
};

// #define bitmap_logo_BMPWIDTH  100
// #define bitmap_logo_BMPHEIGHT 33
// //const unsigned char bitmap_logo[] PROGMEM = {
// const uint8_t bitmap_logo[] PROGMEM = {
//   0B00000001,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // .......###..............................................................................................
//   0B00000011,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ......####..............................................................................................
//   0B00000011,0B11100000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ......#####.............................................................................................
//   0B00000011,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ......####..............................................................................................
//   0B00000001,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // .......###..............................................................................................
//   0B11110001,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ####...###..............................................................................................
//   0B11110001,0B11100000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ####...####.............................................................................................
//   0B11111001,0B11100000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // #####..####.............................................................................................
//   0B11111100,0B11110000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ######..####............................................................................................
//   0B00111110,0B01111000,0B00000000,0B01111110,0B00000011,0B10000111,0B10000011,0B10001111,0B11111111,0B00011111,0B11111000,0B00011111,0B10000000, // ..#####..####............######.......###....####.....###...############...##########......######.......
//   0B00011110,0B00111100,0B00000001,0B11111111,0B00000011,0B10000111,0B10000111,0B10001111,0B11111111,0B00111111,0B11111000,0B00111111,0B11000000, // ...####...####.........#########......###....####....####...############..###########.....########......
//   0B00001111,0B00111110,0B00000001,0B11111111,0B10000011,0B10000111,0B10001111,0B00001111,0B11111111,0B00111111,0B11111000,0B01111111,0B11100000, // ....####..#####........##########.....###....####...####....############..###########....##########.....
//   0B00000111,0B10011111,0B00000011,0B11000011,0B10000011,0B10000111,0B10001110,0B00000000,0B11110000,0B00111100,0B00000000,0B01110000,0B11110000, // .....####..#####......####....###.....###....####...###.........####......####...........###....####....
//   0B01100111,0B11001111,0B00000011,0B10000000,0B00000011,0B10000111,0B10011100,0B00000000,0B11110000,0B00111100,0B00000000,0B11110000,0B01110000, // .##..#####..####......###.............###....####..###..........####......####..........####.....###....
//   0B11110011,0B11000111,0B10000011,0B11000000,0B00000011,0B10000111,0B10111100,0B00000000,0B11110000,0B00111100,0B00000000,0B11100000,0B01110000, // ####..####...####.....####............###....####.####..........####......####..........###......###....
//   0B11110001,0B11000011,0B11000011,0B11111100,0B00000011,0B10000111,0B10111100,0B00000000,0B11110000,0B00111100,0B00000000,0B11100000,0B00000000, // ####...###....####....########........###....####.####..........####......####..........###.............
//   0B11110001,0B11000011,0B11100001,0B11111111,0B00000011,0B10000111,0B11111110,0B00000000,0B11110000,0B00111111,0B11110000,0B11100000,0B00000000, // ####...###....#####....#########......###....##########.........####......##########....###.............
//   0B11110011,0B11000011,0B11000000,0B11111111,0B10000011,0B10000111,0B11111110,0B00000000,0B11110000,0B00111111,0B11110000,0B11100000,0B00000000, // ####..####....####......#########.....###....##########.........####......##########....###.............
//   0B11110011,0B11100111,0B10000000,0B00011111,0B11000011,0B10000111,0B11101110,0B00000000,0B11110000,0B00111100,0B00000000,0B11100000,0B00000000, // ####..#####..####..........#######....###....######.###.........####......####..........###.............
//   0B11110011,0B11001111,0B00000000,0B00000011,0B11000011,0B10000111,0B11001111,0B00000000,0B11110000,0B00111100,0B00000000,0B11100000,0B00100000, // ####..####..####..............####....###....#####..####........####......####..........###.......#.....
//   0B11111001,0B10011110,0B00000000,0B00000001,0B11000011,0B10000111,0B10000111,0B00000000,0B11110000,0B00111100,0B00000000,0B11110000,0B01110000, // #####..##..####................###....###....####....###........####......####..........####.....###....
//   0B01111100,0B00111110,0B00000111,0B10000001,0B11000011,0B10000111,0B10000111,0B10000000,0B11110000,0B00111100,0B00000000,0B11110000,0B11110000, // .#####....#####......####......###....###....####....####.......####......####..........####....####....
//   0B00111110,0B01111100,0B00000011,0B11000011,0B11000011,0B10000111,0B10000111,0B10000000,0B11110000,0B00111111,0B11110000,0B01111001,0B11100000, // ..#####..#####........####....####....###....####....####.......####......##########.....####..####.....
//   0B00011111,0B11111000,0B00000011,0B11111111,0B10000011,0B10000111,0B10000011,0B10000000,0B11110000,0B00111111,0B11111000,0B00111111,0B11100000, // ...##########.........###########.....###....####.....###.......####......###########.....#########.....
//   0B00001111,0B11110000,0B00000000,0B11111111,0B00000011,0B10000111,0B10000011,0B11000000,0B11110000,0B00111111,0B11111000,0B00011111,0B11000000, // ....########............########......###....####.....####......####......###########......#######......
//   0B00000111,0B11100000,0B00000000,0B00011000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000110,0B00000000, // .....######................##................................................................##.........
//   0B00000011,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ......####..............................................................................................
//   0B00000001,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // .......###..............................................................................................
//   0B00000001,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // .......###..............................................................................................
//   0B00000011,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ......####..............................................................................................
//   0B00000011,0B11100000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ......#####.............................................................................................
//   0B00000011,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000, // ......####..............................................................................................
//   0B00000001,0B11000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000,0B00000000  // .......###..............................................................................................
// };
